Bug 141299 - Crashes Kontact when selected as a component
Summary: Crashes Kontact when selected as a component
Status: RESOLVED FIXED
Alias: None
Product: basket
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash with 40 votes (vote)
Target Milestone: ---
Assignee: Sebastien
URL:
Keywords:
: 142222 143827 143832 144111 148942 149213 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-02-06 22:52 UTC by Harland Coles
Modified: 2010-01-18 08:13 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harland Coles 2007-02-06 22:52:04 UTC
Version:           0.6 (using KDE KDE 3.5.6)
Installed from:    SuSE RPMs
OS:                Linux

Loading Kontact fails (crashing Kontact) until Basket is disabled as plugin in kontactrc.  Basket opens standalone perfectly.  Once Kontact is running without Basket, selecting Basket as a component, then clicking on Basket icon on left pane to activate it crashes Kontact.
Comment 1 Torsten Bielen 2007-02-08 12:38:48 UTC
I have the same problem. If an instance of basket already is running kontakt does not crash but if either basket is abandoned or basket isn't already started kontact crashes. See the following output:

Basket: 1.0rc3, Kde 3.5.6

Abbandon Basket crashes the kontact with the following output
============================================================
Überprüfung der Systemkonfiguration beim Start deaktiviert.

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1241090352 (LWP 5228)]
[New Thread -1285604464 (LWP 5232)]
[New Thread -1277211760 (LWP 5231)]
[New Thread -1268819056 (LWP 5230)]
[New Thread -1260426352 (LWP 5229)]
[KCrash handler]
#9  0xffffffcc in ?? ()
#10 0xb7e2b0a2 in Kontact::Plugin::part ()
   from /opt/kde3/lib/libkpinterfaces.so.1
#11 0x0805bf00 in Kontact::MainWindow::selectPlugin ()
#12 0x0805e1b2 in Kontact::MainWindow::qt_invoke ()
#13 0xb6c843cd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#14 0x08060342 in Kontact::SidePaneBase::pluginSelected ()
#15 0x08060521 in Kontact::SidePaneBase::qt_emit ()
#16 0x080607bf in Kontact::IconSidePane::qt_emit ()
#17 0xb6c84411 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0x08060a21 in Kontact::Navigator::pluginActivated ()
#19 0xb6d594ca in QListBox::mousePressEventEx ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#20 0xb6d598d4 in QListBox::mousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0xb6cbd1ce in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0xb6c25647 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0xb6c26641 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0xb72e32b2 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#25 0xb6bc50f7 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0xb6bc401f in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0xb6bd491a in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0xb6c3c0e0 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0xb6c3bf76 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0xb6c2500f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0x08058c59 in main ()

To start kontact without running Basket instance crashes Kontact with the following output
===========================================================
Überprüfung der Systemkonfiguration beim Start deaktiviert.

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1241393456 (LWP 9640)]
[New Thread -1285923952 (LWP 9651)]
[New Thread -1277531248 (LWP 9650)]
[New Thread -1269138544 (LWP 9649)]
[New Thread -1260745840 (LWP 9648)]
[KCrash handler]
#9  0xffffffcc in ?? ()
#10 0xb7de10a2 in Kontact::Plugin::part ()
   from /opt/kde3/lib/libkpinterfaces.so.1
#11 0x0805bf00 in Kontact::MainWindow::selectPlugin ()
#12 0x08059af2 in Kontact::MainWindow::loadSettings ()
#13 0x0805d922 in Kontact::MainWindow::initObject ()
#14 0x0805868f in KontactApp::newInstance ()
#15 0xb723a76d in KUniqueApplication::processDelayed ()
   from /opt/kde3/lib/libkdecore.so.4
#16 0xb7274658 in KUniqueApplication::qt_invoke ()
   from /opt/kde3/lib/libkdecore.so.4
#17 0xb6c3a3cd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0xb6f7411e in QSignal::signal () from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0xb6c56497 in QSignal::activate () from /usr/lib/qt3/lib/libqt-mt.so.3
#20 0xb6c5d823 in QSingleShotTimer::event ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0xb6bdb647 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0xb6bdc4f9 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0xb72992b2 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#24 0xb6bd0663 in QEventLoop::activateTimers ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0xb6b8abd0 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0xb6bf20e0 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0xb6bf1f76 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0xb6bdb00f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x08058c59 in main ()
Comment 2 Francesco Locunto 2007-02-16 19:49:54 UTC
This severe problem persist in Basket 1.0 release (from Suse 10.2 rpm).
If Basket isn't running, Kontact crashes on startup.
To use Kontact, I must either have basket running or uninstall basket...
I must note that it's impossible to choose Bastket as plugin in Kontact (enabling/disabling in Kontact preferences): if basket is installed, it integrates itself in Kontact automatically, and I can't disable it (I must uninstall basket do disable Kontact integration, so no workaround but keeping Basket always running...)

Please correct soon this severe bug :)
Comment 3 Francesco Locunto 2007-02-17 12:33:22 UTC
As a workaround, you can disable Basket Kontact integration deleting (or renaming) the two files:

libkontact_basket.la
libkontact_basket.so

located in the Kde lib directory (on my Suse distro, /opt/kde3/lib/kde3)

For now I've deleted these files, until this bug (that makes Kontact unusable) will be resolved.
Comment 4 Thomas McGuire 2007-04-07 01:52:27 UTC
*** Bug 143827 has been marked as a duplicate of this bug. ***
Comment 5 Thomas McGuire 2007-04-12 18:50:10 UTC
*** Bug 142222 has been marked as a duplicate of this bug. ***
Comment 6 Thomas McGuire 2007-04-12 18:51:48 UTC
*** Bug 144111 has been marked as a duplicate of this bug. ***
Comment 7 Thomas McGuire 2007-08-17 20:38:37 UTC
*** Bug 148942 has been marked as a duplicate of this bug. ***
Comment 8 Bram Schoenmakers 2007-08-26 10:13:49 UTC
*** Bug 149213 has been marked as a duplicate of this bug. ***
Comment 9 FiNeX 2007-12-21 19:30:18 UTC
*** Bug 143832 has been marked as a duplicate of this bug. ***
Comment 10 Robert Marmorstein 2010-01-18 04:35:55 UTC
I am pretty confident that this is no longer an issue when using the about-to-be-released version of basKet from trunk.  Given that the old version used kde3 libraries (and that the bug with kontact probably related to library incompatibility), I'm going to close this for now.  If you experience this behavior in basket-2.0 (to be released soon), please reopen it.